package com.blazinggames.retro.modern.search;

// Spelchan imports
import com.blazinggames.urcl.URCLApplet;
import com.blazinggames.urcl.ui.*;
import com.blazinggames.retro.modern.Title;
/**
 * Ultimate Retro Episode 4: Modern Hide and Seek
 * Copyright (C) 2001, 2003-2004 Blazing Games Inc.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * ------------------------------------------------
 * 
 * The classic Modern of the Hide and Seek game. The mechanics of the game are very simple.
 * Both the player and the computer choose locations on a 2D grid and then take turns trying
 * to find the other. The first to located where their opponent is wins.
 * 
 * @author Billy D. Spelchan
 * @version OSR1.00
 */
public class ModernHandSApplet
extends URCLApplet
{
    HandSDisplay _game;

    protected void initDisplays()
    {
        System.out.println("Hide and Seek modern Version 1.10.031112");
        System.out.println("Copyright (c)  2001, 2003 Blazing Games Inc. All Rights Reserved.");
        _titleDisplay = new Title("04");
        _titleDisplay.initialize(this);
        _game = new HandSDisplay();
        _game.initialize(this);
    }

    public String getAppletInfo()
    {
        return "Hide and Seek Modern Copyright (c) 2001,2003 Blazing Games Inc. All rights reserved.";
    }

    public void displayEvent(Display caller, String command)
    {
        super.displayEvent(caller, command);

        if (command.startsWith("HANDS_LEVEL"))
        {
            String s = command.substring(command.lastIndexOf(" ")+1);
            int n = Integer.parseInt(s);
            _game.setLevel(n);
            showDisplay(2);
        }
        else if (command.startsWith("HANDS_TITLE"))
        {
            showDisplay(1);
        }
    }

    protected Display getDisplay(int id)
    {
        if (id == 2)
            return _game;
        else
            return super.getDisplay(id);
    }

    public String getName()
    {
        return "Modern Hide and Seek";
    }
}
